#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.AsyncQueue where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype AsyncQueue = AsyncQueue (ManagedPtr AsyncQueue)
instance WrappedPtr AsyncQueue where
#if ENABLE_OVERLOADING
data AsyncQueueLengthMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueLengthUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueLockMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueuePopMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueuePopUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueuePushMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueuePushFrontMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueuePushFrontUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueuePushUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueRefUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueRemoveMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueRemoveUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueTimedPopMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueTimedPopUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueTimeoutPopMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueTimeoutPopUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueTryPopMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueTryPopUnlockedMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueUnlockMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueUnrefMethodInfo
#endif
#if ENABLE_OVERLOADING
data AsyncQueueUnrefAndUnlockMethodInfo
#endif
