#define ENABLE_OVERLOADING (MIN_VERSION_haskell_gi_overloading(1,0,0) \
       && !defined(__HADDOCK_VERSION__))
module GI.GLib.Structs.String where

import Data.GI.Base.ShortPrelude
import qualified Data.GI.Base.ShortPrelude as SP
import qualified Data.GI.Base.Overloading as O
import qualified Prelude as P

import qualified Data.GI.Base.Attributes as GI.Attributes
import qualified Data.GI.Base.ManagedPtr as B.ManagedPtr
import qualified Data.GI.Base.GClosure as B.GClosure
import qualified Data.GI.Base.GError as B.GError
import qualified Data.GI.Base.GVariant as B.GVariant
import qualified Data.GI.Base.GValue as B.GValue
import qualified Data.GI.Base.GParamSpec as B.GParamSpec
import qualified Data.GI.Base.CallStack as B.CallStack
import qualified Data.GI.Base.Properties as B.Properties
import qualified Data.Text as T
import qualified Data.ByteString.Char8 as B
import qualified Data.Map as Map
import qualified Foreign.Ptr as FP
import qualified GHC.OverloadedLabels as OL

newtype String = String (ManagedPtr String)
instance BoxedObject String where
#if ENABLE_OVERLOADING
data StringAppendMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAppendCMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAppendLenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAppendUnicharMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAppendUriEscapedMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAsciiDownMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAsciiUpMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringAssignMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringDownMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringEqualMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringEraseMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringFreeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringFreeToBytesMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringHashMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringInsertMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringInsertCMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringInsertLenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringInsertUnicharMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringOverwriteMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringOverwriteLenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringPrependMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringPrependCMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringPrependLenMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringPrependUnicharMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringSetSizeMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringTruncateMethodInfo
#endif
#if ENABLE_OVERLOADING
data StringUpMethodInfo
#endif
